VR-Forces 5.0.2 Developer's Guide
 All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Querying Object Parameter Information

The DtVrfModelSetManager class is the main entry point to find parameter data for objects in the simulation.

When the simulation model set is loaded, or, a new simulation model set set on the network, this class will be used to load the simulation model set and all .entity files in all simulation model sets included. It will use the makVrf::DtSharedModelSet class to store the actual information. The shared model set class is used in both the main thread and the network thread to query parameter information for an entity type. You can either use the makVrv::DtReadSettingsLock around the makVrf::DtSharedModelSet to query for information (in the network thread), or, in the main thread, use this class to query the information requested for parameter data. Examples of usage:

double DtEntityFacadeCollection::initialAltitudeAboveTerrain() const
{
DtVector left, right, other;
Dt3dBoundingVolume bv;
DtVrfModelSetManager::instance(myDe).getSupportPoints(entityType(), left, right, other);
return left.z();
}
if ((myCheckCanEmbarkOn &&
!DtVrfModelSetManager::instance(myDe).canEmbarkUpon(DtEntityType(sv->state().myEntityType.c_str()))) ||
!DtVrfModelSetManager::instance(myDe).canAttachTo(DtEntityType(sv->state().myEntityType.c_str())))
{
myEmbarkId = 0;
}

Document ID: Generated on Sun Dec 4 20:22:03 EST 2022 from SVN revision 249613
Copyright © 2005-2021 MAK Technologies. All Rights Reserved (www.mak.com)